'color
'   检索指定前景色和背景色控件或窗体。
'   hWndControl: 窗体或控件的句柄 (例如  HWND_FORM1_COMMAND1)
'   ForeColor:   前景色： RGB 颜色值  返回 -1 表示未使用
'   BackColor:   背景色： RGB 颜色值  返回 -1 表示未使用
Sub FF_Control_GetColor( ByVal hWndControl as HWnd, _
                         ByRef ForeColor as Long, _
                         ByRef BackColor as Long)

   Dim fp As FormControlsPro_TYPE ptr = GetPropW(hWndControl, "FCP_TYPE_PTR")
   if fp then
      ForeColor =GetCodeColorGDI( fp->ForeColor)
      BackColor =GetCodeColorGDI( fp->BackColor)
   end if

End Sub

